﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using xls = Telerik.Web.UI.ExportInfrastructure;

public partial class RadPivotGrid_Export_AdditionalInformationIntoTheExportedFile : System.Web.UI.Page
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);

        RadPivotGrid1.NeedDataSource += new EventHandler<PivotGridNeedDataSourceEventArgs>(RadPivotGrid1_NeedDataSource);
    }

    protected void RadPivotGrid1_NeedDataSource(object sender, PivotGridNeedDataSourceEventArgs e)
    {
        RadPivotGrid1.DataSource = PivotGridHelper.GetData;
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        RadPivotGrid1.ExportToExcel();
    }

    protected void RadPivotGrid1_PivotGridBiffExporting(object sender, PivotGridBiffExportingEventArgs e)
    {
        xls.Table table = e.ExportStructure.Tables[0] as xls.Table;
        table.ShiftRowsDown(1, 10);

        for (int i = 1; i <= 7; i++)
        {
            for (int j = 1; j < 10; j++)
            {
                table.Cells[i,j].Value = "Some Text";
            }
        }
    }
}